summaryrefslogtreecommitdiffstats
path: root/development/aflplusplus/mkqemutarball.sh
diff options
context:
space:
mode:
Diffstat (limited to 'development/aflplusplus/mkqemutarball.sh')
-rw-r--r--development/aflplusplus/mkqemutarball.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/development/aflplusplus/mkqemutarball.sh b/development/aflplusplus/mkqemutarball.sh
new file mode 100644
index 0000000000..0bd7b7b11f
--- /dev/null
+++ b/development/aflplusplus/mkqemutarball.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# maintainer script. prepares qemuafl tarball for a given version of
+# aflplusplus. requires network access and write permission to current
+# directory. qemuafl has a long git history so this takes forever...
+
+set -e
+
+source ./aflplusplus.info
+
+QEMUVER="$( tar xvfO AFLplusplus-$VERSION.tar.gz AFLplusplus-$VERSION/qemu_mode/QEMUAFL_VERSION )"
+if [ -z "$QEMUVER" ]; then
+ echo "Can't get qemuafl version, missing AFLplusplus tarball?" 1>&2
+ exit 1
+fi
+
+echo "==> checking out qemuafl commit $QEMUVER"
+rm -rf qemuafl qemuafl-$QEMUVER.tar.xz
+git clone https://github.com/AFLplusplus/qemuafl
+cd qemuafl
+git checkout $QEMUVER
+git submodule init
+git submodule update
+find . -name .git\* | xargs rm -rf
+cd -
+tar cvfJ qemuafl-$QEMUVER.tar.xz qemuafl
+md5sum qemuafl-$QEMUVER.tar.xz